Bug 172199 - Scanning is initiated while deletion is still in progress
Scanning is initiated while deletion is still in progress
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Parsing & Indexing
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Vitezslav Stejskal
issues@editor
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-14 16:22 UTC by Petr Jiricka
Modified: 2009-10-07 12:43 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Jiricka 2009-09-14 16:22:14 UTC
1. Follow steps 1-4 in http://www.netbeans.org/issues/show_bug.cgi?id=134990#desc51 to generate a project with a few
hundred Java files
2. Select all Java files per scenario A)
3. Delete all these files per scenario B)

You will see that the IDE starts deleting and files start disappearing in the explorer, but scanning is started
simultaneously, which slows things down terribly. I think the scanning should be started only after all the files are
deleted - that would hopefully make things faster.
Comment 1 Tomas Pavek 2009-09-14 17:26:57 UTC
We have kind of similar issue 167098 for version control operations, i.e. process all events at once in the end. Might
be related, but this one could also have a different solution.
Comment 2 Vitezslav Stejskal 2009-09-16 16:56:51 UTC
If the Delete action deleted the files in one FileSystem.AtomicAction the events would be processed as a whole bunch.
I'm not sure how the action is implemented, but perhaps it deletes each file separately.
Comment 3 Vitezslav Stejskal 2009-09-24 16:55:17 UTC
http://hg.netbeans.org/jet-main/rev/5813c6f03886
Comment 4 Vitezslav Stejskal 2009-09-24 19:23:05 UTC
http://hg.netbeans.org/jet-main/rev/31096c2959a0
Comment 5 Quality Engineering 2009-09-27 22:33:53 UTC
Integrated into 'main-golden', will be available in build *200909270201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/5813c6f03886
User: Vita Stejskal <vstejskal@netbeans.org>
Log: #172199: delete file-based nodes in a single FileSystem.AtomicAction
Comment 6 Vitezslav Stejskal 2009-10-05 10:57:01 UTC
Some more fixing along the same lines...
http://hg.netbeans.org/jet-main/rev/e9e7a8eeec8d
Comment 7 Quality Engineering 2009-10-07 12:43:44 UTC
Integrated into 'main-golden', will be available in build *200910070250* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/e9e7a8eeec8d
User: Vita Stejskal <vstejskal@netbeans.org>
Log: #172199: wrap ordinary filesystem deletes to FileSystem.AtomicAction


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo